// FetAddServer.java
//  Dean Brock <brock@cs.unca.edu>

package edu.unca.cs.csci363.brock.fetaddsvc ;

import java.io.*;
import java.util.*;
import java.rmi.*;
import java.rmi.server.*;
import edu.unca.cs.csci363.brock.fetadd.* ;
import edu.unca.cs.csci363.brock.fetaddsvc.* ;

public class FetAddServer
{
  private static final int MYPORT = 20000 + 295 ;
  private static final String MYNAME = "BrockFetAdd" ;

  public static void main(String args[])
  {
    try {
      FetAddSvc server = new FetAddSvc();
      Naming.rebind("//localhost:" + MYPORT + "/" + MYNAME, server) ;
      System.err.println(MYNAME + " on line...");
    }
    catch (Throwable e) {
      System.err.println("exception: " + e);
      System.exit(1);
    }
  }
}
